import { GitProviderRoot } from './gitProviderRoot.js';
import { CommonPullRequestInfo, PullRequestMessageRequest, PullRequestMessageResult } from './index.js';
export declare class BitbucketProvider extends GitProviderRoot {
    private bitbucket;
    serverUrl: string;
    token: string;
    constructor();
    getLabel(): string;
    getCurrentJobUrl(): Promise<string | null>;
    getCurrentBranchUrl(): Promise<string | null>;
    supportsMermaidInPrMarkdown(): Promise<boolean>;
    getPullRequestInfo(): Promise<CommonPullRequestInfo | null>;
    getBranchDeploymentCheckId(gitBranch: string): Promise<string | null>;
    getPullRequestDeploymentCheckId(): Promise<string | null>;
    private getDeploymentIdFromPullRequest;
    postPullRequestMessage(prMessage: PullRequestMessageRequest): Promise<PullRequestMessageResult>;
    private completePullRequestInfo;
    uploadImage(localImagePath: string): Promise<string | null>;
}
